Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api
Interface UserSession

    public interface UserSession

Interface `UserSession` represents login user information in the Monitor Server.

Method Summary
`long` | `getCreatedTime()` Gets the time when the user session was created.
`java.lang.String` | `getID()` Gets user session's ID.
`long` | `getLastAccessTime()` Gets the user session's last access time.
`int` | `getMaxInactiveInterval()` Gets the user session's maximum inactive interval time (in milliseconds).
`java.lang.String` | `getRealm()` Gets the realm value of the session.
`java.lang.String` | `getUserID()` Gets the user's ID.
`void` | `invalidate()` Invalidates a user session.
`boolean` | `isValid()` Judges whether or not the user session is valid.
`void` | `refreshLastAccessTime()` Refreshes the last access time of the session.
`void` | `setMaxInactiveInterval(int interval)` Sets a user session's maximum inactive interval time (in milliseconds).

Method Detail

### getID

    java.lang.String getID()

  Gets user session's ID.

  Returns:
    The session ID.

### getRealm

    java.lang.String getRealm()

  Gets the realm value of the session.

  Returns:
    The realm value of the session.

### getUserID

    java.lang.String getUserID()

  Gets the user's ID.

  Returns:
    The user ID.

### isValid

    boolean isValid()

  Judges whether or not the user session is valid.

  Returns:
    true, if the user session is valid, or else return false.

### invalidate

    void invalidate()

  Invalidates a user session.

### getCreatedTime

    long getCreatedTime()

  Gets the time when the user session was created.

  Returns:
    The creation time of the session.

### getLastAccessTime

    long getLastAccessTime()

  Gets the user session's last access time.

  Returns:
    The last access time of the session.

### refreshLastAccessTime

    void refreshLastAccessTime()
                               throws InvalidUserSessionException

  Refreshes the last access time of the session.

  Throws:
    ``InvalidUserSessionException`` - if an InvalidUserSessionException has occurred.
    `InvalidUserSessionException`

### getMaxInactiveInterval

    int getMaxInactiveInterval()

  Gets the user session's maximum inactive interval time (in milliseconds).

  Returns:
    The maximum inactive interval time of the session.

### setMaxInactiveInterval

    void setMaxInactiveInterval(int interval)

  Sets a user session's maximum inactive interval time (in milliseconds).

  Parameters:
    `interval` - The maximum inactive interval time of the session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD